List project plan tasks
GET/api/project-plan-tasks
Required permissions:
- project_plan.view: allows view of project plan tasks.
Custom fields
Single-option custom fields appear in the response as dynamic fields named like custom_field_55 where
55 is the ID of the custom field. The value is the ID of the selected option, or null when no option is set.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1
Filter items by the project_plan_area_id field.
Possible values: >= 1
Filter tasks assigned (via project plan effort) to the given employee_id.
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of project plan tasks.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The name of the project plan task
The sort order of the task within its area
Possible values: >= 1
The ID of the project plan area this task belongs to
Possible values: >= 1
The ID of the budget task linked to this project plan task, if any
The start date of the task, formatted as YYYY-MM-DD
The end date of the task, formatted as YYYY-MM-DD
Free-form notes attached to the task
Possible values: [not-started, in-progress, blocked, done, closed]
The status of the task
Possible values: >= 1
The ID of the task this task depends on, if any
Possible values: [start-to-start, finish-to-start, start-to-finish, finish-to-finish]
The dependency type between this task and the one it depends on
[
{
"id": 1,
"created_at": "2026-06-12T11:36:12.565Z",
"updated_at": "2026-06-12T11:36:12.565Z",
"name": "Wireframes",
"sort": 1,
"project_plan_area_id": 1,
"budget_task_id": 1,
"start_date": "2026-01-15",
"end_date": "2026-02-15",
"notes": "Reviewed with the client.",
"status_key": "in-progress",
"depends_on_id": 1,
"dependency_type": "finish-to-start"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}